<?php
namespace FiloBlu\Storelocator\Block;

class Main extends \Magento\Framework\View\Element\Template
{

    protected $_coreRegistry;
    protected $_storeManager;
    protected $_scopeConfig;

    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Magento\Framework\Registry $registry
    )
    {
        parent::__construct($context);
        $this->_scopeConfig = $context->getScopeConfig();
        $this->_storeManager = $context->getStoreManager();
        $this->_coreRegistry = $registry;
    }


    public function getCurrentProductId() {
        $currentProduct = $this->_coreRegistry->registry('current_product');
        $currentProductId = $currentProduct->getId();
        return $currentProductId;
    }

    public function getAllStores()
    {
        $model = \Magento\Framework\App\ObjectManager::getInstance()->get('FiloBlu\Storelocator\Model\Stores');
        return $model->getAllStores();
    }

    public function getStoresByCurrentZoom($lat1, $lng1, $lat2, $lng2)
    {
        $model = \Magento\Framework\App\ObjectManager::getInstance()->get('FiloBlu\Storelocator\Model\Stores');
        return $model->getStoresByCurrentZoom($lat1, $lng1, $lat2, $lng2);
    }

    public function isProductAppointmentEnabled() {

        return $this->_scopeConfig->getValue('filoblu_storelocator_section/general/product_appointment', \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
    }
}
